OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.PixelDataRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVPixelDataRange :: MonadIO m => m Bool
- gl_NV_pixel_data_range :: Bool
- gl_READ_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum
- gl_READ_PIXEL_DATA_RANGE_NV :: GLenum
- gl_READ_PIXEL_DATA_RANGE_POINTER_NV :: GLenum
- gl_WRITE_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum
- gl_WRITE_PIXEL_DATA_RANGE_NV :: GLenum
- gl_WRITE_PIXEL_DATA_RANGE_POINTER_NV :: GLenum
- glFlushPixelDataRangeNV :: MonadIO m => GLenum -> m ()
- glPixelDataRangeNV :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()

# Extension Support

glGetNVPixelDataRange :: MonadIO m => m Bool

Is the NV_pixel_data_range extension supported?

gl_NV_pixel_data_range :: Bool

Is the NV_pixel_data_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVPixelDataRange` in those cases instead.

# Enums

gl_READ_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum

gl_READ_PIXEL_DATA_RANGE_NV :: GLenum

gl_READ_PIXEL_DATA_RANGE_POINTER_NV :: GLenum

gl_WRITE_PIXEL_DATA_RANGE_LENGTH_NV :: GLenum

gl_WRITE_PIXEL_DATA_RANGE_NV :: GLenum

gl_WRITE_PIXEL_DATA_RANGE_POINTER_NV :: GLenum

# Functions

glFlushPixelDataRangeNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `PixelDataRangeTargetNV`.
-> m () |

glPixelDataRangeNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type `PixelDataRangeTargetNV`.
-> GLsizei | `length`.
-> Ptr a | `pointer` pointing to `length` elements of type `a`.
-> m () |